/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.users.admin.test.util.search;

import com.liferay.portal.kernel.service.ServiceContext;

import java.util.Locale;

/**
 * @author André de Oliveira
 */
public interface UserBlueprint {

	public int getBirthdayDay();

	public int getBirthdayMonth();

	public int getBirthdayYear();

	public long getCompanyId();

	public long getCreatorUserId();

	public String getEmailAddress();

	public long getFacebookId();

	public String getFirstName();

	public long[] getGroupIds();

	public String getJobTitle();

	public String getLastName();

	public Locale getLocale();

	public String getMiddleName();

	public String getOpenId();

	public long[] getOrganizationIds();

	public String getPassword1();

	public String getPassword2();

	public long getPrefixId();

	public long[] getRoleIds();

	public String getScreenName();

	public ServiceContext getServiceContext();

	public long getSuffixId();

	public long[] getUserGroupIds();

	public boolean isAutoPassword();

	public boolean isAutoScreenName();

	public boolean isMale();

	public boolean isSendMail();

	public interface UserBlueprintBuilder {

		public UserBlueprintBuilder autoPassword(boolean autoPassword);

		public UserBlueprintBuilder birthdayDay(int birthdayDay);

		public UserBlueprintBuilder birthdayMonth(int birthdayMonth);

		public UserBlueprintBuilder birthdayYear(int birthdayYear);

		public UserBlueprint build();

		public UserBlueprintBuilder companyId(long companyId);

		public UserBlueprintBuilder emailAddress(String emailAddress);

		public UserBlueprintBuilder firstName(String firstName);

		public UserBlueprintBuilder lastName(String lastName);

		public UserBlueprintBuilder locale(Locale locale);

		public UserBlueprintBuilder password1(String password1);

		public UserBlueprintBuilder password2(String password2);

		public UserBlueprintBuilder screenName(String screenName);

		public UserBlueprintBuilder serviceContext(
			ServiceContext serviceContext);

		public UserBlueprintBuilder userId(long userId);

	}

}