/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.users.admin.test.util.search;

import com.liferay.portal.kernel.service.ServiceContext;

/**
 * @author André de Oliveira
 */
public interface UserGroupBlueprint {

	public long getCompanyId();

	public String getDescription();

	public String getName();

	public ServiceContext getServiceContext();

	public long getUserId();

	public interface UserGroupBlueprintBuilder {

		public UserGroupBlueprint build();

		public UserGroupBlueprintBuilder companyId(long companyId);

		public UserGroupBlueprintBuilder description(String description);

		public UserGroupBlueprintBuilder name(String name);

		public UserGroupBlueprintBuilder serviceContext(
			ServiceContext serviceContext);

		public UserGroupBlueprintBuilder userId(long userId);

	}

}