/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.users.admin.test.util.search;

import com.liferay.portal.kernel.service.ServiceContext;

/**
 * @author André de Oliveira
 */
public class UserGroupBlueprintImpl implements UserGroupBlueprint {

	public UserGroupBlueprintImpl() {
	}

	public UserGroupBlueprintImpl(
		UserGroupBlueprintImpl userGroupBlueprintImpl) {

		_companyId = userGroupBlueprintImpl._companyId;
		_description = userGroupBlueprintImpl._description;
		_name = userGroupBlueprintImpl._name;
		_serviceContext = userGroupBlueprintImpl._serviceContext;
		_userId = userGroupBlueprintImpl._userId;
	}

	@Override
	public long getCompanyId() {
		return _companyId;
	}

	@Override
	public String getDescription() {
		return _description;
	}

	@Override
	public String getName() {
		return _name;
	}

	@Override
	public ServiceContext getServiceContext() {
		return _serviceContext;
	}

	@Override
	public long getUserId() {
		return _userId;
	}

	public static class UserGroupBlueprintBuilderImpl
		implements UserGroupBlueprintBuilder {

		@Override
		public UserGroupBlueprint build() {
			return new UserGroupBlueprintImpl(_userGroupBlueprintImpl);
		}

		@Override
		public UserGroupBlueprintBuilder companyId(long companyId) {
			_userGroupBlueprintImpl._companyId = companyId;

			return this;
		}

		@Override
		public UserGroupBlueprintBuilder description(String description) {
			_userGroupBlueprintImpl._description = description;

			return this;
		}

		@Override
		public UserGroupBlueprintBuilder name(String name) {
			_userGroupBlueprintImpl._name = name;

			return this;
		}

		@Override
		public UserGroupBlueprintBuilder serviceContext(
			ServiceContext serviceContext) {

			_userGroupBlueprintImpl._serviceContext = serviceContext;

			return this;
		}

		@Override
		public UserGroupBlueprintBuilder userId(long userId) {
			_userGroupBlueprintImpl._userId = userId;

			return this;
		}

		private final UserGroupBlueprintImpl _userGroupBlueprintImpl =
			new UserGroupBlueprintImpl();

	}

	private long _companyId;
	private String _description;
	private String _name;
	private ServiceContext _serviceContext;
	private long _userId;

}